Subject: [nvo3] IETF91 NVo3 Meeting minutes

From: Sam Aldrin <[email-masked]>
Date: Mon, 24 Nov 2014 09:52:32 -0800

Hi,

IETF91 meeting minutes have now been uploaded.
Thanks to Jon Hudson for taking minutes. Really appreciate that.
Do find them at <http://www.ietf.org/proceedings/91/minutes/minutes-91-nvo3>

Please do send in any missing minutes/notes or any corrections needed to be
made.
Would be glad to entertain them.

cheers
-sam

---

From: "Black, David" <[email-masked]>
Date: Mon, 24 Nov 2014 19:59:11 +0000

A few clarifications, most of which are probably courtesy of the difficulty in taking notes on a free flowing discussion:

OLD

   GUE Encap (Tom Herbert):
   ------------------------

   Debate begins on checksums

   David Black: Update on checksum for IPv6:
   The checksum should be MUST USE FULL STOP for IPv6 based on data we have seen in testing.

NEW

   GUE Encap (Tom Herbert):
   ------------------------

   Debate begins on checksums

   David Black: Update on UDP checksum for IPv6:
   The checksum should be MUST USE FULL STOP for IPv6.  This is for generality based on
   design team experience in specifying conditions under which zero UDP checksum is ok to
   use with IPv6 for MPLS/UDP and GRE/UDP in compliance with RFC 6935 and RFC 6936.

OLD

   VxLAN  QOS (Frank Xia):
   -----------------------------------

   David Black: RFC 2474 - Penalty Flag Flown: respecified that the 6bits must be dealt with as a whole,
   not messed around with using 3+3 type stuff.

NEW

   VxLAN  QOS (Behcet):
   -----------------------------------

   David Black: RFC 2474 - Penalty Flag Flown: This 3+3 bit messing around is not DiffServ and is not
   compatible with RFC 2474. The entire 6 bit field must be dealt with as a whole.

Thanks,
--David

From: nvo3 [mailto:[email-masked]] On Behalf Of Sam Aldrin
Sent: Monday, November 24, 2014 12:53 PM
To: [email-masked]
Cc: Benson Schliesser; Bocci, Matthew (Matthew)
Subject: [nvo3] IETF91 NVo3 Meeting minutes

Hi,

Please do send in any missing minutes/notes or any corrections needed to be made.
Would be glad to entertain them.

cheers
-sam

---

From: Dino Farinacci <[email-masked]>
Date: Mon, 24 Nov 2014 12:06:52 -0800

> Would be glad to entertain them.

For the discussion that happended below:

Osama: I think we will need sub VNIs to meet the coming needs. 
Dino: In LISP we limited to encapsulator to 2^24
David: I am not a fan of Hierarchy 
Larry: I want 24bits and see it as being plenty. 
Tom: I will stand for 32bit due to the scale when considering earth bound networks. 
Lucy: I think the extensibility becomes the key to getting around guessing the size today.
Tom: If you define it be 32bits you can certainly use less than 32bits. 
Pat: I think 24bit is plenty and if it's bigger than that, other scaling issues will appear for a 2^24 flat network. So beyond 24bit should be hierarchical. 

I said the instance-ID is 24-bits in the LISP data-plane and 32-bits in the LISP control-plane.

Dino